# This file contains options that can be passed to the cmake command

Option                              ( LIBHELLOWORLD_INSTALL_HEADER
                                      "Install headers of libhelloworld."
                                      ON )
Option                              ( LIBHELLOWORLD_INSTALL_STATIC
                                      "Install static library of libhelloworld."
                                      ON )
Option                              ( LIBHELLOWORLD_INSTALL_SHARED
                                      "Install shared library of libhelloworld."
                                      ON )
Option                              ( LIBHELLOWORLD_INSTALL_DEBUG
                                      "Install the stripped debug informations of libhelloworld."
                                      OFF )
Option                              ( LIBHELLOWORLD_INSTALL_PACKAGE
                                      "Install the cmake package of libhelloworld."
                                      ON )
Option                              ( LIBHELLOWORLD_NO_STRIP
                                      "Do not strip debug symbols from binary."
                                      OFF )
Option                              ( LIBHELLOWORLD_USE_GIT_VERSION
                                      "Read the git tags to get the version of libhelloworld"
                                      ON )
