# This file contains generated variables that are needed for the project

# Git Version
If                                  ( LIBHELLOWORLD_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                LIBHELLOWORLD_VERSION_MAJOR
                                                LIBHELLOWORLD_VERSION_MINOR
                                                LIBHELLOWORLD_VERSION_PATCH
                                                LIBHELLOWORLD_VERSION_BUILD
                                                LIBHELLOWORLD_VERSION_HASH
                                                LIBHELLOWORLD_VERSION_BEHIND
                                                LIBHELLOWORLD_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( LIBHELLOWORLD_VERSION_SHORT
                                      "${LIBHELLOWORLD_VERSION_MAJOR}.${LIBHELLOWORLD_VERSION_MINOR}" )
Set                                 ( LIBHELLOWORLD_VERSION
                                      "${LIBHELLOWORLD_VERSION_SHORT}.${LIBHELLOWORLD_VERSION_PATCH}.${LIBHELLOWORLD_VERSION_BUILD}" )
Set                                 ( LIBHELLOWORLD_VERSION_COMPLETE
                                      "${LIBHELLOWORLD_VERSION}" )
Set                                 ( LIBHELLOWORLD_NAME
                                      "${LIBHELLOWORLD_PROJECT_NAME}-${LIBHELLOWORLD_VERSION_SHORT}" )
Set                                 ( LIBHELLOWORLD_OUTPUTNAME
                                      "${LIBHELLOWORLD_PROJECT_NAME}" )
If                                  ( LIBHELLOWORLD_VERSION_BEHIND )
    Set                                 ( LIBHELLOWORLD_VERSION_COMPLETE
                                          "${LIBHELLOWORLD_VERSION_COMPLETE}+${LIBHELLOWORLD_VERSION_BEHIND}" )
EndIf                               ( )
