# This file contains generated variables that are needed for the project

# Git Version
If                                  ( LIBINTERFACE_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                LIBINTERFACE_VERSION_MAJOR
                                                LIBINTERFACE_VERSION_MINOR
                                                LIBINTERFACE_VERSION_PATCH
                                                LIBINTERFACE_VERSION_BUILD
                                                LIBINTERFACE_VERSION_HASH
                                                LIBINTERFACE_VERSION_BEHIND
                                                LIBINTERFACE_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( LIBINTERFACE_VERSION_SHORT
                                      "${LIBINTERFACE_VERSION_MAJOR}.${LIBINTERFACE_VERSION_MINOR}" )
Set                                 ( LIBINTERFACE_VERSION
                                      "${LIBINTERFACE_VERSION_SHORT}.${LIBINTERFACE_VERSION_PATCH}.${LIBINTERFACE_VERSION_BUILD}" )
Set                                 ( LIBINTERFACE_VERSION_COMPLETE
                                      "${LIBINTERFACE_VERSION}" )
Set                                 ( LIBINTERFACE_NAME
                                      "${LIBINTERFACE_PROJECT_NAME}-${LIBINTERFACE_VERSION_SHORT}" )
Set                                 ( LIBINTERFACE_OUTPUTNAME
                                      "${LIBINTERFACE_PROJECT_NAME}" )
If                                  ( LIBINTERFACE_VERSION_BEHIND )
    Set                                 ( LIBINTERFACE_VERSION_COMPLETE
                                          "${LIBINTERFACE_VERSION_COMPLETE}+${LIBINTERFACE_VERSION_BEHIND}" )
EndIf                               ( )
