# This file contains generated variables that are needed for the project

# Git Version
If                                  ( HELLOWORLD_USE_GIT_VERSION )
    Include                             ( git_helper OPTIONAL RESULT_VARIABLE HAS_GIT_HELPER )
    If                                  ( HAS_GIT_HELPER )
        GitGetVersion                       ( ${CMAKE_CURRENT_LIST_DIR}/..
                                                HELLOWORLD_VERSION_MAJOR
                                                HELLOWORLD_VERSION_MINOR
                                                HELLOWORLD_VERSION_PATCH
                                                HELLOWORLD_VERSION_BUILD
                                                HELLOWORLD_VERSION_HASH
                                                HELLOWORLD_VERSION_BEHIND
                                                HELLOWORLD_VERSION_DIRTY )
    EndIf                               ( )
EndIf                               ( )

# Strings
Set                                 ( HELLOWORLD_VERSION_SHORT
                                      "${HELLOWORLD_VERSION_MAJOR}.${HELLOWORLD_VERSION_MINOR}" )
Set                                 ( HELLOWORLD_VERSION
                                      "${HELLOWORLD_VERSION_SHORT}.${HELLOWORLD_VERSION_PATCH}.${HELLOWORLD_VERSION_BUILD}" )
Set                                 ( HELLOWORLD_VERSION_COMPLETE
                                      "${HELLOWORLD_VERSION}" )
Set                                 ( HELLOWORLD_NAME
                                      "${HELLOWORLD_PROJECT_NAME}-${HELLOWORLD_VERSION_SHORT}" )
Set                                 ( HELLOWORLD_OUTPUTNAME
                                      "${HELLOWORLD_PROJECT_NAME}" )
If                                  ( HELLOWORLD_VERSION_BEHIND )
    Set                                 ( HELLOWORLD_VERSION_COMPLETE
                                          "${HELLOWORLD_VERSION_COMPLETE}+${HELLOWORLD_VERSION_BEHIND}" )
EndIf                               ( )
