# This file contains constant variables that are fixed to this project

# Version
Set                                 ( LIBHELLOWORLD_VERSION_MAJOR           1 )
Set                                 ( LIBHELLOWORLD_VERSION_MINOR           0 )
Set                                 ( LIBHELLOWORLD_VERSION_PATCH           0 )
Set                                 ( LIBHELLOWORLD_VERSION_BUILD           0 )
Set                                 ( LIBHELLOWORLD_VERSION_HASH            "" )
Set                                 ( LIBHELLOWORLD_VERSION_BEHIND          0 )
Set                                 ( LIBHELLOWORLD_VERSION_DIRTY           0 )

# Names
Set                                 ( LIBHELLOWORLD_PROJECT_NAME            "libhelloworld" )
Set                                 ( LIBHELLOWORLD_PROJECT_DESCRIPTION     "A simple hello world library" )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/libhelloworld-var.cmake )

# Install directories
Set                                 ( LIBHELLOWORLD_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${LIBHELLOWORLD_NAME}" )
Set                                 ( LIBHELLOWORLD_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( LIBHELLOWORLD_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${LIBHELLOWORLD_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
