# This file contains constant variables that are fixed to this project

# Version
Set                                 ( LIBINTERFACE_VERSION_MAJOR           1 )
Set                                 ( LIBINTERFACE_VERSION_MINOR           0 )
Set                                 ( LIBINTERFACE_VERSION_PATCH           0 )
Set                                 ( LIBINTERFACE_VERSION_BUILD           0 )
Set                                 ( LIBINTERFACE_VERSION_HASH            "" )
Set                                 ( LIBINTERFACE_VERSION_BEHIND          0 )
Set                                 ( LIBINTERFACE_VERSION_DIRTY           0 )

# Names
Set                                 ( LIBINTERFACE_PROJECT_NAME            "libinterface" )
Set                                 ( LIBINTERFACE_PROJECT_DESCRIPTION     "A simple interface library" )

# Include generated variables for further usage
Include                             ( ${CMAKE_CURRENT_LIST_DIR}/libinterface-var.cmake )

# Install directories
Set                                 ( LIBINTERFACE_INSTALL_DIR_INCLUDE     "${CMAKE_INSTALL_INCLUDEDIR}/${LIBINTERFACE_NAME}" )
Set                                 ( LIBINTERFACE_INSTALL_DIR_LIB         "${CMAKE_INSTALL_LIBDIR}" )
Set                                 ( LIBINTERFACE_INSTALL_DIR_SHARE       "${CMAKE_INSTALL_DATAROOTDIR}/${LIBINTERFACE_NAME}" )

# C Standard
Set                                 ( CMAKE_C_STANDARD                      11 )
Set                                 ( CMAKE_CXX_STANDARD                    17 )
Set                                 ( CMAKE_C_STANDARD_REQUIRED             ON )
Set                                 ( CMAKE_CXX_STANDARD_REQUIRED           ON )
